Subject: 29.0.50; rename-visited-file: Selecting a directory almost works

From: [email-masked]
Date: Thu, 29 Sep 2022 23:31:17 +0200

Visit an existing file and type

M-x rename-visited-file RET /path/to/existing/directory/ending/with/slash/ RET

and notice that the command half succeeds.

The file is successfully copied to the target directory, because
'rename-file' handles directories. 'set-visited-file-name' doesn't
handle directories and signals an error.